#version 120
in vec3 vertexPosition;
in vec2 textureCoord;
in vec3 vertexColor;
in float vertexAlpha;
varying vec2 texCoord;
varying vec4 vColor;

void main(void)
{
	//gl_Position = ftransform();
	//gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	//texCoord = gl_MultiTexCoord0.xy;
	texCoord = textureCoord;
	vColor = vec4(vertexColor.xyz,vertexAlpha);
	gl_Position = gl_ModelViewProjectionMatrix * vec4(vertexPosition.xyz,1.0);
}